/********************************************************************
*  Prior, VAR and Data Specification and Global Setting
*
*  Last updated: 
********************************************************************/
dlibrary -a PszTgSen,PsdTgSen; 

subT       = 1;
mprior     = 3;
dataselstr = "d1";
lmodel     = "vb_";

subTstr    = "t" $+ ftos(subT,"%*.*lf",1,0);
lprior     = "p" $+ ftos(mprior,"%*.*lf",1,0);


nvar_      = 4;
nlags_     = 2; 
T0         = 4; 
nirf_      = 24;

if mprior == 1;
   nirfsign_  = 2;  
elseif mprior == 2;
   nirfsign_  = 5;
elseif mprior == 3;
   nirfsign_  = 9;
elseif mprior == 4;
   nirfsign_  = 21;
endif;

/* Specify sign restrictions
** variables: output, inflation, interest rates, real money
** restrictions: inflation <= 0; interest rates >=0; money <=0;
*/ 
signrestrictions_      = zeros(nirfsign_,nvar_);
signrestrictions_[.,2] = -ones(nirfsign_,1);
signrestrictions_[.,3] =  ones(nirfsign_,1);
signrestrictions_[.,4] = -ones(nirfsign_,1);

