/* filename:    irfplot.g
** description: The program plots the 
**              the DSGE impulse response functions
** created:     11/06/01
*/

new;
closeall;
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

#include vf_spec.g; 
#include pathspec.g;

nirfplot = nirf_;
ti       = seqa(1,1,nirf_);

/*  Load VAR IRF ID set
*/
lvarirf = workpath $+ "\\..\\PureSignFreqBonfIDset\\vf_d1t1p2\\results\\freqrun1idset\\varirfs";
open fhvarirf = ^lvarirf for read;

varirf_idset_l = readr(fhvarirf,1);
varirf_idset_h = readr(fhvarirf,1);

varirf_idset_l = reshape(varirf_idset_l,nvar_,nirf_)';
varirf_idset_h = reshape(varirf_idset_h,nvar_,nirf_)';

closeall;

/*  Load VAR IRF summaries 
*/
lvarirf = workpath $+ "\\vf_d1t1p2\\results\\freqrun2\\varirfs";
open fhvarirf = ^lvarirf for read;

//dummyload = readr(fhvarirf,2);

varirf_bonf_l = readr(fhvarirf,1);
varirf_bonf_h = readr(fhvarirf,1);

varirf_bonf_l = reshape(varirf_bonf_l,nvar_,nirf_)';
varirf_bonf_h = reshape(varirf_bonf_h,nvar_,nirf_)';

closeall;

/* Plot Impulse Response functions
*/

titlestr = "Output" $|
           "Inflation" $|
           "Interest Rates" $|
	       "Real Money"
           ;
                     
drawtics = (  -2    ~ 2   ~ 1 )  |
           (  -1    ~ 1   ~ 1 )  |
	       (  -1    ~ 2   ~ 1 )  |
           (  -3    ~ 2   ~ 1   )  ;
          
graphset;
begwind;
margin(0,0,0.2,0.2);
window(2,2,0);
fonts("microb");
_ptitlht = 0.4;
_paxht = 0.3;
_pnumht = 0.3;
 
/* _pmcolor = 0|0|0|0|0|0|0|0|15; */

_pltype = {3 3 6 6 1 1};
_pcolor = {4 4 1 1 2 2};
_plwidth = 8;
_protate = 0; 
_plctrl = 0;
_psymsiz = 3;
_protate = 0;
_pline = ( 1 ~ 1 ~ 0 ~ 0 ~ nirfplot ~ 0 ~ 4 ~ 1 );

pl_ind = 1;

do until pl_ind > 4;

   title(titlestr[pl_ind]);
   ytics(drawtics[pl_ind,1],drawtics[pl_ind,2],drawtics[pl_ind,3],1); 
   xtics(0,nirf_,8,1);
   xy(ti[1:nirfplot], varirf_idset_l[1:nirfplot,pl_ind] 
                    ~ varirf_idset_h[1:nirfplot,pl_ind]  
                    ~ varirf_bonf_l[1:nirfplot,pl_ind] 
                    ~ varirf_bonf_h[1:nirfplot,pl_ind] );
   nextwind;
   
   pl_ind = pl_ind+1;
endo;
endwind;

end;