/* filename:    irfplot.g
** description: The program plots the 
**              the DSGE impulse response functions
** created:     11/06/01
*/

new;
closeall;
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

#include vf_spec.g; 
#include pathspec.g;

// initialization
vmin_vec = 1  | 1 ;
vmax_vec = 4  | 4 ;
hmin_vec = 1  | 2 ;
hmax_vec = 1  | 24;
nfile = rows(vmin_vec);

varirf_l = zeros(nirf_,nvar_);
varirf_h = zeros(nirf_,nvar_);

// read input files
file_ind = 1;
do until file_ind > nfile;

   // select file
   vmin = vmin_vec[file_ind];
   vmax = vmax_vec[file_ind];
   hmin = hmin_vec[file_ind];
   hmax = hmax_vec[file_ind];

   selstr =  "vl" $+ ftos(vmin,"%*.*lf",1,0)
          $+ "vh" $+ ftos(vmax,"%*.*lf",1,0)
          $+ "hl" $+ ftos(hmin,"%*.*lf",1,0)
          $+ "hm" $+ ftos(hmax,"%*.*lf",1,0);

   lpath = workpath $+ "\\vf_d1t1p1\\results\\freqrun1f";
   lvarirf = lpath $+ "\\varirfs" $+ selstr;

   // load responses
   open fhvarirf = ^lvarirf for read;
   varirfload_l = readr(fhvarirf,1);
   varirfload_h = readr(fhvarirf,1);
   closeall;

   varirfload_l = reshape(varirfload_l,nvar_,nirf_)';
   varirfload_h = reshape(varirfload_h,nvar_,nirf_)';

   // copy the responses
   varirf_l[hmin:hmax,vmin:vmax] = varirfload_l[hmin:hmax,vmin:vmax];
   varirf_h[hmin:hmax,vmin:vmax] = varirfload_h[hmin:hmax,vmin:vmax];

   file_ind = file_ind+1;

endo;

opath  = lpath;
odraws = opath $+ "\\varirfs"; 
create fhdraws = ^odraws with IRF, nvar_*nirf_, 8;
writer(fhdraws,( vec(varirf_l)'|vec(varirf_h)' ));
closeall;

"Lower Bound";
varirf_l;
"";
"";

"Upper Bound";
varirf_h;

end;
