/* filename:    irfplot.g
** description: The program plots the 
**              the DSGE impulse response functions
** created:     11/06/01
*/

new;
closeall;
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

#include vf_spec.g; 
#include pathspec.g;

// initialization
vmin_vec = 1  | 2  | 3  | 4  | 1  | 2  | 3  | 4 ;
vmax_vec = 1  | 2  | 3  | 4  | 1  | 2  | 3  | 4 ;
hmin_vec = 1  | 1  | 1  | 1  | 13 | 13 | 13 | 13;
hmax_vec = 12 | 12 | 12 | 12 | 24 | 24 | 24 | 24;
nfile = rows(vmin_vec);

varirffinal_l = zeros(nirf_,nvar_);
varirffinal_h = zeros(nirf_,nvar_);

varirfprelim_l = zeros(nirf_,nvar_);
varirfprelim_h = zeros(nirf_,nvar_);

// read input files
file_ind = 1;
do until file_ind > nfile;

   // select file
   vmin = vmin_vec[file_ind];
   vmax = vmax_vec[file_ind];
   hmin = hmin_vec[file_ind];
   hmax = hmax_vec[file_ind];

   selstr =  "vl" $+ ftos(vmin,"%*.*lf",1,0)
          $+ "vh" $+ ftos(vmax,"%*.*lf",1,0)
          $+ "hl" $+ ftos(hmin,"%*.*lf",1,0)
          $+ "hm" $+ ftos(hmax,"%*.*lf",1,0);

   lpath = workpath $+ "\\vf_d1t1p3\\results\\freqrun1cv3f";
   lvarirfprelim = lpath $+ "\\varirfsprelim" $+ selstr;
   lvarirffinal  = lpath $+ "\\varirfsfinal"  $+ selstr;

   // load responses
   open fhvarirf = ^lvarirfprelim for read;
   varirfprelimload_l = readr(fhvarirf,1);
   varirfprelimload_h = readr(fhvarirf,1);
   closeall;

   open fhvarirf = ^lvarirffinal for read;
   varirffinalload_l  = readr(fhvarirf,1);
   varirffinalload_h  = readr(fhvarirf,1);
   closeall;
 
   varirfprelimload_l = reshape(varirfprelimload_l,nvar_,nirf_)';
   varirfprelimload_h = reshape(varirfprelimload_h,nvar_,nirf_)';

   varirffinalload_l = reshape(varirffinalload_l,nvar_,nirf_)';
   varirffinalload_h = reshape(varirffinalload_h,nvar_,nirf_)';

   // copy the responses
   varirfprelim_l[hmin:hmax,vmin:vmax] = varirfprelimload_l[hmin:hmax,vmin:vmax];
   varirfprelim_h[hmin:hmax,vmin:vmax] = varirfprelimload_h[hmin:hmax,vmin:vmax];

   varirffinal_l[hmin:hmax,vmin:vmax] = varirffinalload_l[hmin:hmax,vmin:vmax];
   varirffinal_h[hmin:hmax,vmin:vmax] = varirffinalload_h[hmin:hmax,vmin:vmax];

   file_ind = file_ind+1;

endo;

opath  = lpath;
odraws = opath $+ "\\varirfsprelim"; 
create fhdraws = ^odraws with IRF, nvar_*nirf_, 8;
writer(fhdraws,( vec(varirfprelim_l)'|vec(varirfprelim_h)' ));
closeall;

odraws = opath $+ "\\varirfsfinal"; 
create fhdraws = ^odraws with IRF, nvar_*nirf_, 8;
writer(fhdraws,( vec(varirffinal_l)'|vec(varirffinal_h)' ));
closeall;

"Final - Lower Bound";
varirffinal_l;
"";
"";

"Final - Upper Bound";
varirffinal_h;

end;
