/* Data set:
** Output, Inflation, Interest Rates, InvVelocity  
*/
load path = ^datapath YYdata[]= "datampshock.txt";
YYdata    = reshape(YYdata,rows(YYdata)/nvar_,nvar_);
ti        = seqa(1964,1/4,rows(YYdata));
nobs      = rows(YYdata)-T0;

/* Convert velocity into real money balances
*/
YYdata[.,4] = YYdata[.,4]+YYdata[.,1];

/* Define YY and XX matrices
*/
YY  = YYdata[T0+1:nobs+T0,.];
ti  = ti[T0+1:nobs+T0,.];
XX  = zeros(nobs,nvar_*nlags_); 
i = 1;
do until i > nlags_;
   XX[.,(i-1)*nvar_+1:i*nvar_] = YYdata[T0-(i-1):T0+nobs-i,.];
   i = i+1;
endo;
XX = XX ~ ones(nobs,1);  

